r.rescale.eq(1)

NAME
r.rescale.eq - Rescales histogram equalized the range of category values in a raster map layer.

KEYWORDS
raster, rescale

SYNOPSIS
r.rescale.eq
r.rescale.eq --help
r.rescale.eq input=name [from=min,max] output=name to=min,max [title=phrase] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    The name of the raster map to be rescaled

from=min,max
    The input data range to be rescaled (default: full range of input map)

output=name [required]
    The resulting raster map name

to=min,max [required]
    The output data range

title=phrase
    Title for new raster map

DESCRIPTION
The r.rescale.eq program rescales the range of category values appearing in a raster map layer with equalized histogram. A new raster map layer, and an appropriate category file and color table based upon the original raster map layer, are generated with category labels that reflect the original category values that produced each category. This command is useful for producing representations with a reduced number of categories from a raster map layer with a large range of category values (e.g., elevation). Rescaled map layers are appropriate for use in such GRASS GIS commands as r.stats, r.report, and r.coin.

EXAMPLE
To rescale an elevation raster map layer with category values ranging from 1090 meters to 1800 meters into the range 0-255, the following command line could be used (without the from parameter, the full value range will be used):

r.rescale.eq input=elevation from=1090,1800 output=elevation.255 to=0,255

NOTES
Category values that fall beyond the input range will become NULL. This allows the user to select a subset of the full category value range for rescaling if desired. This also means that the user should know the category value range for the input raster map layer. The user can request the r.rescale.eq program to determine this range, or can obtain it using the r.describe or r.info command. If the category value range is determined using r.rescale.eq, the input raster map layer is examined, and the minimum and maximum non-NULL category values are selected as the input range.

SEE ALSO
r.coin, r.describe, r.info, r.mapcalc, r.reclass, r.rescale, r.report, r.resample, r.stats

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: r.rescale.eq source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual